This directory contains some examples of all-atom simulations using the **AMBER** *(GAFF/GAFF2)* force field, prepared using moltemplate.

### Warning

There is no gaurantee that simulations prepared using moltemplate will exactly reproduce the behavior of AmberTools/AMBER.

If you notice a problem with these examples, please report it.
(jewett.aij @ gmail.com)

### *The atomic charges in these examples are not correct*

Some force-fields (like COMPASS, and moltemplate's version of OPLSAA) include rules for assigning partial charges to atoms.  Most force fields, including AMBER GAFF and GAFF2 do not.  So GAFF and GAFF2 users will have to obtain atomic charges by some other means, probably by using 3rd-party tools.

*WARNING: (In many of these examples, I obtained partial charges from the OPLSAA
parameter file located [here](http://dasher.wustl.edu/tinker/distribution/params/oplsaa.prm).)*
***PLEASE DO NOT DO THIS!***
This is not how the AMBER force field was intended to be used.
It will probably not result in accurate behavior.

#### It is the user's responsibility to calculate atomic charges correctly.
AMBER users typically use [antechamber](http://ambermd.org/antechamber/) (which is part of the [AmberTools distribution](http://ambermd.org/AmberTools.php))
to assign atomic charges, using a [variety of methods](http://ambermd.org/tutorials/basic/tutorial4b/index.htm).

Alternatively, you can use the [OpenForceField tools](https://github.com/openmm/openmmforcefields#partial-charges-for-small-molecules) to [calculate these charges](https://open-forcefield-toolkit.readthedocs.io/en/latest/api/generated/openforcefield.topology.Molecule.html#openforcefield.topology.Molecule.compute_partial_charges_am1bcc).

Unfortunatley, these tools are not bundled with moltemplate.  If someone submits a script to help convert the files generated by these tools into moltemplate format, I would be happy post it and update these examples.  (-Andrew 2020-10-22)


### Requirements

The AMBER examples require a version of LAMMPS compiled with support for the optional "USER-MISC" package (because the AMBER force fields currently uses *dihedral_style fourier*).  If you encounter the error *"Invalid dihedral_style"*, then see [this page](https://lammps.sandia.gov/doc/Build_package.html) for instructions to compile LAMMPS with the "USER-MISC" package enabled.


### Improper angles

The style of improper interaction used by AMBER force fields depends on an angle which depends on the order of the atoms surrounding the central atom.  When multiple atoms have the same type, this creates ambiguity in atom order.  Since there is no guarantee that moltemplate will choose the same atom order as other molecule builders (such as AmberTools), this can lead to small unavoidable discrepancies in energies and forces computed by LAMMPS and AMBER.  But their effect should be neglegible.

### Bloated lammps input scripts

By default, LAMMPS input scripts prepared using moltemplate contain the entire contents of the GAFF or GAFF2 force-field, even when simulating small systems with just a few atom types.

This is harmless, but if you want to get rid of this extra information, follow the instructions in the "README_remove_irrelevant_info.sh" files.
